nix3-profile-remove(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix profile remove - remove packages from a profile

Synopsis
nix profile remove [option…] elements…

Examples

•   Remove a package by position:

    # nix profile remove 3

•   Remove a package by attribute path:

    # nix profile remove packages.x86_64-linux.hello

•   Remove all packages:

    # nix profile remove '.*'

•   Remove a package by store path:

    # nix profile remove /nix/store/rr3y0c6zyk7kjjl8y19s4lsrhn4aiq1z-hello-2.10

Description
This command removes a package from a profile.

Options

•   --debugger
    start an interactive environment if evaluation fails

•   --profile path
    The profile to update.

Common evaluation options:

•   --arg name expr
    Pass the value expr as the argument name to Nix functions.

•   --argstr name string
    Pass the string string as the argument name to Nix functions.

•   --eval-store store-url
    The Nix store to use for evaluations.

•   --impure
    Allow access to mutable paths and repositories.

•   --include / -I path
    Add path to the list of locations used to look up <...> file names.

•   --override-flake original-ref resolved-ref
    Override the flake registries, redirecting original-ref to resolved-ref.